Tag: Gradle

¿Qué tarea de gradle extrae dependencias de repositorios remotos?

Estoy haciendo el cambio a Gradle para mi proyecto de Android. He importado el proyecto en Android Studio de Eclipse y lo he envuelto con Gradle 1.8. Mi supuesto fue Gradle manejado dependencias de la manera como Maven, es decir, si se especifica una dependencia que no existe en su repositorio local se tirará de […]

¿Cómo ejecutar pruebas filtradas con etiquetas con pepino-jvm y gradle?

Yo trabajo con pepino desde hace algún tiempo, y ahora quiero migrar el uso de la suite de pruebas a gradle desde maven. Me las arreglé para preparar el proyecto que cubre el uso básico, ejecutar pruebas, tener los resultados, etc La última pieza que me falta es la capacidad de ejecutar sólo las pruebas […]

El archivo AAR local no gestiona las dependencias

He trabajado en una biblioteca de Android (un cliente de API) que utiliza Retrofit y Joda DateTime. dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:22.2.0' compile 'com.squareup.retrofit:retrofit:1.9.0' compile 'joda-time:joda-time:2.8.1' } Ahora que la biblioteca se ha completado lo compilé en un archivo AAR y quiero usarlo en una aplicación, así que lo añadí a […]

¿Cómo saber cuál es la última versión de cualquier dependencia que incluimos en Gradle?

En gradle no utilizo versiones dinámicas porque eso podría conducir a construcciones indeterminadas. Así que declaro mis dependencias así: compile 'com.squareup.okhttp:okhttp:2.2.0' Sin embargo, ¿cómo puedo saber si hay una nueva versión disponible y cuál es su número?

Cómo corregir los errores de Gradle Sync al configurar el nuevo React-Native Project para Android e iOS

Estoy intentando comenzar a usar React-Native para algunos de mis desarrollos móviles. La mayor parte de esto parece muy sencillo de los React-Native Docs en Github pero no puedo obtener proyectos para construir en Android Studio. Cuando intento importar el proyecto navegando a ProjectName / android / app y seleccionando la importación consigo esto cuando […]

Android – Errores de entrada de zip de Proguard duplicados – Biblioteca de soporte de Android

Estoy intentando utilizar Proguard en una aplicación de androide que utilice los proyectos de la biblioteca de android . Mi proyecto básico de android depende de dos proyectos de biblioteca de android. El núcleo y los proyectos de biblioteca tienen dependencias en la biblioteca de soporte de android (en mi caso: android-support-v4.jar). Cuando intento ofuscarlo […]

Configurar Gradle para ejecutar un paso de compilación personalizado antes de iniciar la compilación

He empezado a usar Gradle hoy y después de buscar una hora y probar todas las respuestas posibles de SO (por ejemplo, 1 ) y diferentes blogs (por ejemplo, 2 ) y documentaciones (por ejemplo, 3 ) necesito ayuda. Mi pregunta es simple: ¿Cómo ejecutar un build-step personalizado (en mi caso la ejecución de ndk-build […]

Gradle-experimental: 0.1.0 buildConfigField

Alguien sabe cómo definir buildConfigField en el complemento gradle experimental? android.productFlavors { create("demo") { applicationId = 'com.anthonymandra.rawdroid' buildConfigField "String", FIELD_META, PROVIDER_META } da: Error: Intento de leer una vista de sólo escritura del modelo de tipo 'java.lang.Object' dada a la regla 'model.android.productFlavors'

Fusión del manifiesto de Gradle de Android falló

Utilizo la biblioteca leanback para desarrollar para Android TV. Mi aplicación declara la API min a 16 sin embargo la leanback como una API mínima de 16. Así como la documentación dice que declaré esto en mi manifiesto: <?xml version="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools" package="com.mypackage.package"> <uses-sdk tools:overrideLibrary="android.support.v17.leanback" /> Sin embargo, todavía tengo el error: Error: […]

Rango de buildToolsVersion o '+' en gradle

Me gustaría especificar un rango de posibles versiones de la herramienta de compilación android para Gradle. ¿Es posible usar + cuando se especifica buildToolsVersion en build.gradle? Algo como buildToolsVersion 23+ ? O un rango como es posible con las dependencias de compilación: compile group: 'log4j', name: 'log4j', version: '[1.2.12,1.2.17]'

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.